Provable Markets

VenueEventsService

OrderAdded

PATH: /aurora.core.apiengine.venuev1.VenueEventsService/OrderAdded

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.venuev1.Order)

Fields: id, side, quantity, instrument, fee, rebate, min_quantity, order_type, agreement_ids, company_id, order_intent, created_at

request_id
required
string

Unique request identifier assigned to the event

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

OrderRemoved

PATH: /aurora.core.apiengine.venuev1.VenueEventsService/OrderRemoved

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.venuev1.Order)

Fields: id, side, quantity, instrument, fee, rebate, min_quantity, order_type, agreement_ids, company_id, order_intent, created_at

request_id
required
string

Unique request identifier assigned to the event

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }